# Uses of Class
javax.sql.RowSetEvent

Packages that use RowSetEvent
Package
Description
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.

## Uses of RowSetEvent in javax.sql

Methods in javax.sql with parameters of type RowSetEvent
Modifier and Type
Method
Description
`void`
RowSetListener.`cursorMoved(RowSetEvent event)`
Notifies registered listeners that a `RowSet` object's cursor has moved.
`void`
RowSetListener.`rowChanged(RowSetEvent event)`
Notifies registered listeners that a `RowSet` object has had a change in one of its rows.
`void`
RowSetListener.`rowSetChanged(RowSetEvent event)`
Notifies registered listeners that a `RowSet` object in the given `RowSetEvent` object has changed its entire contents.

## Uses of RowSetEvent in javax.sql.rowset

Methods in javax.sql.rowset with parameters of type RowSetEvent
Modifier and Type
Method
Description
`void`
CachedRowSet.`rowSetPopulated(RowSetEvent event, int numRows)`
Notifies registered listeners that a RowSet object in the given RowSetEvent object has populated a number of additional rows.